%global packname R.rsp
%global packver  0.44.0
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          0.44.0
Release:          1
Summary:          Dynamic Generation of Scientific Reports

License:          LGPLv2+
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz

BuildArch:        noarch
Suggests:         R-ascii >= 2.1
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-methods
BuildRequires:    R-stats
BuildRequires:    R-tools
BuildRequires:    R-utils
BuildRequires:    R-R.methodsS3 >= 1.7.1
BuildRequires:    R-R.oo >= 1.23.0
BuildRequires:    R-R.utils
BuildRequires:    R-R.cache
BuildRequires:    R-digest >= 0.6.13
BuildRequires:    R-tcltk
BuildRequires:    R-ascii >= 2.1
BuildRequires:    R-markdown >= 0.8
BuildRequires:    R-knitr >= 1.9
BuildRequires:    R-R.devices >= 2.16.1
BuildRequires:    R-base64enc >= 0.1.2

%description
The RSP markup language makes any text-based document come alive.  RSP provides
a powerful markup for controlling the content and output of LaTeX, HTML,
Markdown, AsciiDoc, Sweave and knitr documents (and more), e.g. 'Today's date
is <%=Sys.Date()%>'.  Contrary to many other literate programming languages,
with RSP it is straightforward to loop over mixtures of code and text sections,
e.g. in month-by-month summaries.  RSP has also several preprocessing
directives for incorporating static and dynamic contents of external files
(local or online) among other things.  Functions rstring() and rcat() make it
easy to process RSP strings, rsource() sources an RSP file as it was an R
script, while rfile() compiles it (even online) into its final output format,
e.g. rfile('report.tex.rsp') generates 'report.pdf' and rfile('report.md.rsp')
generates 'report.html'.  RSP is ideal for self-contained scientific reports
and R package vignettes.  It's easy to use - if you know how to write an R
script, you'll be up and running within minutes.


%prep
%setup -q -c -n %{packname}

for file in \
%{packname}/inst/doc/R_packages-Static_PDF_and_HTML_vignettes.pdf.asis \
%{packname}/inst/tcl/r-httpd.tcl \
; do
    sed "s|\r||g" ${file} > ${file}.new
    touch -r ${file} ${file}.new
    mv ${file}.new ${file}
done


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/WORDLIST
%{rlibdir}/%{packname}/exData
%{rlibdir}/%{packname}/exec
%{rlibdir}/%{packname}/rsp
%{rlibdir}/%{packname}/rsp_LoremIpsum
%{rlibdir}/%{packname}/rsp_encodings
%{rlibdir}/%{packname}/rsp_examples
%{rlibdir}/%{packname}/rsp_tests
%{rlibdir}/%{packname}/rsp_tests_experimental
%{rlibdir}/%{packname}/rsp_tests_online
%{rlibdir}/%{packname}/tcl


%changelog
* Thu Jun 16 2022 misaka00251 <misaka00251@misakanet.cn> - 0.44.0-1
- Init package (Thanks to fedora team)
